import type { BaseQueryFn, FetchBaseQueryError } from '@reduxjs/toolkit/query';
import { BaseQueryApi } from '@procyon/types/api';
export type BaseQueryParams = {
    authentication?: {
        headerName: string;
        tokenType: string;
    };
    baseUrl: string;
};
export type BaseQueryFetch<Body> = {
    body?: Body;
    headers?: Record<string, string | number | boolean>;
    method?: string;
    params?: Record<string, any>;
    url: string;
};
export type BaseQueryReauthParams = BaseQueryParams & {
    when401: (api: BaseQueryApi) => Promise<void>;
};
export declare const baseQuery: ({ baseUrl, authentication }: BaseQueryParams) => BaseQueryFn<BaseQueryFetch<any>, unknown, FetchBaseQueryError>;
export declare const baseQueryReauth: ({ baseUrl, authentication, when401, }: BaseQueryReauthParams) => BaseQueryFn<BaseQueryFetch<any>, unknown, FetchBaseQueryError>;
